/* ------------ GOOGLE FONTS ------------ */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

/* ------------ VARIABLES ------------ */
:root{
  /* FONT */
  --font: 'Poppins', sans-serif;

  /* COLORS */
  /* --body-color: #e4e9f7;*/
  --sidebar-color: #fff; 
  --text-color: #707070;
  /* --color: #fc00ff; */
  --color: #73302e;
  --color2: #d4ae8d;
}

/* ------------ BASE ------------ */
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html ,body{
  font-family: var(--font);
  height: 100%;
  /* background-color: var(--body-color); */
}

#wrapper {
  height: 100%;
  overflow-x: scroll;
  overflow: auto;
  white-space: nowrap; 
  /* background-image: linear-gradient(
    to left,
    #fc00ff,
    #00dbde

    ); */
    /* opacity: 0.5; */
    /* background: linear-gradient(270deg, #4b556c,#a6837b); */
    /* background-image: url("../images/background.jpg"); */
    /* background-repeat: inherit; */
    background-image: linear-gradient(
    to right,
    rgb(165 131 101/ 85%),
    rgb(75 85 108/ 85%)
  ), url("../images/decor.jpg");

  /* background: -webkit-linear-gradient(90deg, #1b1c55,#2f2888);background: linear-gradient(90deg, #1b1c55,#2f2888); */
  /* background: -webkit-linear-gradient(120deg, #9977ce,#543883,#241f5b) */
  /* background-image: linear-gradient(to top, #accbee 0%, #e7f0fd 100%); */
}
.bgcount_panal{
  background-color: #9977ce;
}

#bgg-take{
  background-color: #d1e7dd;
}
#bgg-give{
  background-color: #f8d7da;
}
#bgg-credit{
  background-color: #d4ae8d;
}

/* .custom-btn-pry, .custom-btn-pry:active {
  background-color: #8064A2 !important;
}
 .custom-btn-pry:hover,  .custom-btn-pry:visited {
  background-color: #543883 !important;
}
.btn-danger, .btn-danger:active {
  background-color: #241f5b !important;
}
 .btn-danger:hover,  .btn-danger:visited {
  background-color: #4e0c88 !important;
} */


.login-page {
  width: 100%;
  height:100%;
  display: inline-block;
  display: flex;
  align-items: center;
}
/* .form-left i {
  font-size: 100px;
} */
.primary-text {
  color: var(--color);
}

.second-text {
  color: var(--color2);
}

.primary-bg {
  background-color: var(--main-bg-color);
}

.secondary-bg {
  background-color: var(--second-bg-color);
}

.rounded-full {
  border-radius: 100%;
}

#page-content-wrapper {
    min-width: 80vw;
  }

@media (min-width: 768px) {
    /* .sidebar {
      margin-right: 0;
    }
   */
  #page-content-wrapper {
    /* min-width: 0; */
    width: 100%;
    overflow: auto;
    white-space: nowrap;
  }
  
    /* #wrapper.toggled .sidebar {
      margin-right: -10rem;
    } */
    
  }
ul,
li,
a{
  text-decoration: none;
  list-style: none;
}
p{
  /* width: 40px; */
  overflow:hidden;
  white-space: pre-line;
  text-overflow: ellipsis;
}
#sizeoffontcp{
  font-size: small;
}
/* ----------- CLOSE SIDEBAR ---------- */
.sidebar{
  background-color: var(--sidebar-color);
  position: fixed;
  top: 0;
  right: 0;
  /* left: 10em; */
  height: auto;
  width: 5.1em;
  padding: 1em 0;
  box-shadow: 0 1em 1em rgba(0, 0, 0, .1);

  display: flex;
  flex-direction: column;
  align-items: center;

  position: relative;
  transition: width .4s ease;
}

.sidebar__logo-name,
.sidebar__link-name{
  display: none;
  /* white-space: nowrap; */
  padding-left: 1em; /*for left side*/
}

.sidebar__top-content{
  display: flex;
  align-items: center;
  
}

.sidebar__logo{
  width: 2em;
  border-radius: .3em;
}

.sidebar__arrow{
  background-color: var(--color);
  position: absolute;
  left: -0.5em;
  top: 2.1em;
  font-size: 2rem;
  color: #fff;
  border-radius: 50%;
  box-shadow: .1em 0 .2em rgba(0, 0, 0, .2);
  cursor: pointer;
}

.sidebar__links{
 margin-top: 4em;
 height: 100%;
}

.sidebar__link{
  margin-bottom: 1.4em;
}

.sidebar__link a{
  color: var(--text-color);

  display: flex;
  align-items: center;
}

.sidebar__link-icon{
  font-size: 1.8rem;
}

.sidebar__link-name{
  font-size: 1.0rem;
  margin-right: 0.4em;
}

.sidebar__link--logout{
  position: absolute;
  margin-bottom: 3em;
  /* bottom: 0; */
}

/* tooltip */
.sidebar__link a:hover .sidebar__link-name{
  display: inline-block;
  position: absolute;
  right: 100%;

  background-color: #fff;
  padding: .3em;
  border-radius: .5em;
}

.sidebar__link--logout a:hover .sidebar__link-name{
  right: 200%;
}

/* ----------- OPEN SIDEBAR ---------- */
.sidebar.active{
  width: 15em;
  align-items: start;
  padding-right: 1em;
}

.sidebar.active .sidebar__logo-name,
.sidebar.active .sidebar__link-name{
  display: inline-block;
}

.sidebar.active .sidebar__logo-name{
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--text-color);
  margin-right: .8em;
}

.sidebar.active .sidebar__arrow{
  transform: rotate(180deg);
}

.sidebar.active .sidebar__links{
  padding-right: 1em;
}

.sidebar.active .sidebar__link:hover a{
  color: var(--color);
}
.sidebar__link:hover a{
  color: var(--color);
}

/* remove tooltip */
.sidebar.active .sidebar__link a:hover .sidebar__link-name{
  position: relative;
  right: 0;

  background-color: transparent;
  padding: 0;
  border-radius: 0;
}
.self-footer{
  /* position: absolute; */
  margin-bottom: 3em;
}

/* --------for tooltip---------- */
.custom-tooltip {
  --bs-tooltip-bg: var(--sidebar-color);
  --bs-tooltip-color: black;
}

